Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DialWidget Class Reference

List of all members.

## Public Member Functions
def | __init__
def | computeDialAngle
def | computeValueFromAngle
def | get
def | highlightKnob
def | knobMouseDown
def | knobMouseUp
def | mouseDown
| Canvas callback functions Dial.
def | mouseMotion
def | mouseUp
def | restoreKnob
def | set
def | setBackground
def | setBorderwidth
def | setNumDigits
def | setNumSegments
def | setRelief
def | shiftMouseMotion
def | updateDialSF
def | updateDialTask
def | updateIndicator
def | updateIndicatorDegrees
def | updateIndicatorRadians
## Public Attributes
| knobSF
| lastAngle
| minExp
| radius
| rollCount
| snapAngle
| updateTask
| value

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def computeDialAngle | ( |  | self,
|  |  | event,
|  |  | fShift = `0`
| ) |  |

def computeValueFromAngle | ( |  | self,
|  |  | dialAngle
| ) |  |

def get | ( |  | self | ) |

    self.get()
    Get current dial value

def highlightKnob | ( |  | self,
|  |  | event
| ) |  |

def knobMouseDown | ( |  | self,
|  |  | event
| ) |  |

def knobMouseUp | ( |  | self,
|  |  | event
| ) |  |

def mouseDown | ( |  | self,
|  |  | event
| ) |  |

Canvas callback functions Dial.

def mouseMotion | ( |  | self,
|  |  | event,
|  |  | fShift = `0`
| ) |  |

def mouseUp | ( |  | self,
|  |  | event
| ) |  |

def restoreKnob | ( |  | self,
|  |  | event
| ) |  |

def set | ( |  | self,
|  |  | value,
|  |  | fCommand = `1`
| ) |  |

    self.set(value, fCommand = 1)
    Set dial to new value, execute command if fCommand == 1

def setBackground | ( |  | self | ) |

def setBorderwidth | ( |  | self | ) |

def setNumDigits | ( |  | self | ) |

def setNumSegments | ( |  | self | ) |

def setRelief | ( |  | self | ) |

def shiftMouseMotion | ( |  | self,
|  |  | event
| ) |  |

def updateDialSF | ( |  | self,
|  |  | event
| ) |  |

def updateDialTask | ( |  | self,
|  |  | state
| ) |  |

def updateIndicator | ( |  | self,
|  |  | value
| ) |  |

def updateIndicatorDegrees | ( |  | self,
|  |  | degAngle
| ) |  |

def updateIndicatorRadians | ( |  | self,
|  |  | dialAngle
| ) |  |

## Member Data Documentation

knobSF

lastAngle

minExp

radius

rollCount

snapAngle

updateTask

value

All Classes Namespaces Functions Variables Enumerations Enumerator Properties